# OS_NS_math.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_math.inl"`

Include dependency graph for OS_NS_math.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Functions

ACE_NAMESPACE_INLINE_FUNCTION double | floor (double x)
| This method computes the largest integral value not greater than x.
ACE_NAMESPACE_INLINE_FUNCTION double | ceil (double x)
| This method computes the smallest integral value not less than x.

## Detailed Description

Id
  OS_NS_math.h,v 1.4 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_INLINE double ACE_OS::ceil | ( | double | x | ) |

| This method computes the smallest integral value not less than x.

ACE_INLINE double ACE_OS::floor | ( | double | x | ) |

| This method computes the largest integral value not greater than x.